## cl-hyperobject 2.12.0

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-##############################################################################
+#!/usr/bin/make
+###############################################################################
 # FILE IDENTIFICATION
 # 
 #  Name:         Makefile
@@ -6,14 +7,12 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 8261 2003-11-21 03:46:37Z kevin $
-#
-# This file, part of HYPEROBJECT, is Copyright (c) 2002-2003 by Kevin M. Rosenberg
+# This file, part of HYPEROBJECT, is Copyright (c) 2002-2011 by Kevin M. Rosenberg
 #
 # HYPEROBJECT users are granted the rights to distribute and use this software
 # as governed by the terms of the Lisp Lesser GNU Public License
 # (http://opensource.franz.com/preamble.html), also known as the LLGPL.
-##############################################################################
+###############################################################################
 
 DOCFILE_BASE_DEFAULT:=hyperobject
 DOCFILE_EXT_DEFAULT:=xml
@@ -21,23 +20,42 @@
 
 # Standard docfile processing
 
-DEBIAN=$(shell expr "`cat /etc/issue`" : '.*Debian.*')
-SUSE=$(shell expr "`cat /etc/issue`" : '.*SuSE.*')
-REDHAT=$(shell expr "`cat /etc/issue`" : '.*RedHat.*')
+DEBIAN=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Debian.*')
+SUSE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE.*')
+SUSE91=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE Linux 9.1.*')
+REDHAT=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Red Hat.*')
+MANDRAKE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Mandrake.*')
+DARWIN=$(shell expr "`uname -a`" : '.*Darwin.*')
+UBUNTU=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Ubuntu.*')
 
 
 ifneq (${DEBIAN},0)
 OS:=debian
 else
-  ifneq (${SUSE},0)
-    OS=suse
-  else   
-    ifneq (${REDHAT},0)
-      OS=redhat
+  ifneq (${SUSE91},0)
+    OS=suse91
+  else
+    ifneq (${SUSE},0)
+      OS=suse
+    else   
+      ifneq (${REDHAT},0)
+        OS=redhat
+      else   
+        ifneq (${MANDRAKE},0)
+          OS=mandrake
+	else   
+          ifneq (${DARWIN},0)
+            OS=darwin
+	  else
+	    ifneq (${UBUNTU},0)
+		OS:=debian
+	    endif
+	  endif 
+        endif
+      endif
     endif
   endif
 endif
-
 
 ifndef DOCFILE_BASE
 DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}
@@ -75,7 +93,7 @@
 
 .PHONY: check
 check:
-	@echo "Operating System Detected: ${OS}"
+	@echo "Operating system detected: ${OS}"
 	@$(CHECK)
 
 .PHONY: html
@@ -84,7 +102,7 @@
 html.tar.gz: $(DOCFILES) Makefile 
 	@rm -rf html
 	@mkdir html
-	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding ISO-8859-1 \
+	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding UTF-8 \
 		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
 	@GZIP='-9' tar czf html.tar.gz html 
 
@@ -92,7 +110,7 @@
 fo: ${FOFILE}
 
 ${FOFILE}: $(DOCFILES) Makefile 
-	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output $(FOFILE) fo.xsl $(DOCFILE)
+	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --stringparam fop1.extensions 1 --output $(FOFILE) fo.xsl $(DOCFILE)
 
 .PHONY: pdf
 pdf: ${PDFFILE}
