=== debian/changelog ===
cl-hyperobject (2.12.0-1) unstable; urgency=low

  * New upstream
  * Switch to dpkg-source 3.0 (quilt) format

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 08 Jul 2011 14:12:52 -0600

cl-hyperobject (2.11.0-3) unstable; urgency=low

  * Build with debhelper extension dh-lisp
  * control: Add Vcs-Browser field. Fix Depends field.
  * rules: Fix installation of example file
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 03 Aug 2009 14:02:47 -0600

cl-hyperobject (2.11.0-2) unstable; urgency=low

  * debian/watch: New file
  * debian/control: Require debhelper 7. Change to new lisp section.
  Add Vcs-Git and Homepage fields.
  * debian/compat: Update to version 7
  * debian/rules: Update for debhelper 7, architecture-independent build
  * debian/{prerm,postrm}: Remove path from binary function

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 04:24:10 -0600

cl-hyperobject (2.11.0-1) unstable; urgency=low

  * Major reworking of MOP layer to add support for current versions of OpenMCL. 

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  6 Jan 2007 11:41:00 -0700

cl-hyperobject (2.10.0-1) unstable; urgency=low

  * Support CLISP
  * Remove implementation-dependent access of type slot using
    slot-definition-type instead.

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 01 Sep 2006 08:49:25 -0600

cl-hyperobject (2.9.2-1) unstable; urgency=low

  * Use initialize-instance :around for direct-slot-definition to be
  more AMOP compliant for setting lisp type from :value-type initarg 

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 17 Aug 2006 21:44:01 -0600

cl-hyperobject (2.9.1-1) unstable; urgency=low

  * Support change in SBCL MOP

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 17 Aug 2006 12:12:58 -0600

cl-hyperobject (2.9.0-1) unstable; urgency=low

  * New upstream URI
  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 17 Sep 2005 16:01:20 -0600

cl-hyperobject (2.8.8-1) unstable; urgency=low

  * Change encoding to ISO-8859-1

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 20 Nov 2003 20:40:18 -0700
	

cl-hyperobject (2.8.7-1) unstable; urgency=low

  * Fix invalid setting of documentation for hyperobject-class

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 15 Nov 2003 19:32:25 -0700

cl-hyperobject (2.8.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 17 Jun 2003 00:32:30 -0600

cl-hyperobject (2.8.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 12 Jun 2003 06:14:45 -0600

cl-hyperobject (2.8.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 16 May 2003 01:33:12 -0600

cl-hyperobject (2.8.3-1) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 15 May 2003 23:57:32 -0600

cl-hyperobject (2.8.2-1) unstable; urgency=low

  * Use hash-table based ensure-lazy-reader for Allegro/SCL

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 15 May 2003 00:05:06 -0600

cl-hyperobject (2.8.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 14 May 2003 13:45:01 -0600

cl-hyperobject (2.8.0-1) unstable; urgency=low

  * Rework object viewing to reduce format calls

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 13 May 2003 17:11:54 -0600

cl-hyperobject (2.7.3-1) unstable; urgency=low

  * Replace multiple-value-lists 

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 13 May 2003 09:52:59 -0600

cl-hyperobject (2.7.2-1) unstable; urgency=low

  * Fix for cmucl's 18e mop

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  7 May 2003 10:01:34 -0600

cl-hyperobject (2.7.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  6 May 2003 16:00:11 -0600

cl-hyperobject (2.7.0-1) unstable; urgency=low

  * Add regression testing
  * Depend on cl-rt package
  * Use compat file rather than DH_COMPAT
  * Rework compute-effective-slot-definition
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Apr 2003 11:40:27 -0600

cl-hyperobject (2.6.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 24 Apr 2003 00:55:02 -0600

cl-hyperobject (2.6.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 22 Apr 2003 08:06:37 -0600

cl-hyperobject (2.6.3-1) unstable; urgency=low

  * Fix :type in object-view class

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 16 Apr 2003 12:37:33 -0600

cl-hyperobject (2.6.2-1) unstable; urgency=low

  * Handle both named/unnamed implementations of
    compute-effective-slot-definition

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Apr 2003 23:17:13 -0600

cl-hyperobject (2.6.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 12 Apr 2003 08:26:49 -0600

cl-hyperobject (2.6.0-1) unstable; urgency=low

  * Encapsulate differences in class-slot order since sbcl/cmucl
  reverse the order of slots compared to the defclass macro.
  * Fix error with lispworks and process-a-class-slot function

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 11 Apr 2003 21:14:17 -0600

cl-hyperobject (2.5.6-1) unstable; urgency=low

  * Have lispworks use add-method

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  1 Apr 2003 09:56:27 -0700

cl-hyperobject (2.5.5-1) unstable; urgency=low

  * Simplify shadowing-import for allegro,lispworks,sbcl

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 31 Mar 2003 08:58:41 -0700

cl-hyperobject (2.5.4-1) unstable; urgency=low

  * Use add-method where supported
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 29 Mar 2003 16:18:44 -0700

cl-hyperobject (2.5.3-1) unstable; urgency=low

  * New upstream for SBCL 0.8pre MOP changes

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 24 Mar 2003 21:56:05 -0700

cl-hyperobject (2.5.2-1) unstable; urgency=low

  * fix typo in sql.lisp

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 17 Jan 2003 12:16:20 -0700

cl-hyperobject (2.5.1-1) unstable; urgency=low


