=== debian/control ===
Source: cl-hyperobject
Section: lisp
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends-Indep: dh-lisp
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.2.0
Homepage: http://hyperobject.b9.com/
Vcs-Git: git://git.b9.com/hyperobject.git
Vcs-Browser: http://git.b9.com/?p=hyperobject.git

Package: cl-hyperobject
Architecture: all
Depends: ${misc:Depends}, cl-kmrcl, cl-rt
Description: Common Lisp library for hyperobjects
 This package contains a library for creating and display hyperobjects.
 Hyperobjects contain references to subobjects as well as to linked
 objects.  This package includes functions to display hyperobjects in
 multiple formats: ASCII Text, HTML, XML with optional field labels and
 hyperlinks.
