=== debian/rules ===
#!/usr/bin/make -f

pkg		:= hyperobject
pkg-tests	:= $(pkg)-tests
debpkg    	:= cl-$(pkg)

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
clc-tests	:= $(clc-source)/$(pkg-tests)

tests-files	:= tests.lisp
source-files	:= $(filter-out $(tests-files),$(wildcard *.lisp))


build: build-arch build-indep

build-arch:

build-indep:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install $(pkg).asd $(source-files) $(clc-files)
	dh_install $(pkg-tests).asd $(tests-files) $(clc-tests)

binary-indep: install
	dh_testdir
	dh_testroot 
	dh_installdocs 
	dh_installexamples examples/*.lisp
	dh_installchangelogs 
	dh_lisp
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

binary-arch:

binary: binary-indep


.PHONY: build clean binary-indep binary-arch binary install
