=== debian/watch ===
version=3
http://files.b9.com/hyperobject/hyperobject-([\d\.]*)\.tar\.gz
