=== docs/Makefile ===
.PHONY: site all clean

all: site

site: 
	openmcl --load `pwd`/make.lisp

clean:
	@rm -f *~ \#*\# .\#* memdump
