=== debian/changelog ===
cl-hyperobject (2.13-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 01 Oct 2020 16:11:33 -0600
