=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends-Indep: dh-lisp
-Build-Depends: debhelper (>= 7.0.0)
-Standards-Version: 3.9.2.0
-Homepage: http://hyperobject.b9.com/
-Vcs-Git: git://git.b9.com/hyperobject.git
-Vcs-Browser: http://git.b9.com/?p=hyperobject.git
+Build-Depends: debhelper (>= 11.0.0)
+Standards-Version: 4.5.0.3
+Homepage: http://hyperobject.kpe.io/
+Vcs-Git: git://git.kpe.io/hyperobject.git
+Vcs-Browser: http://git.kpe.io/?p=hyperobject.git
 
 Package: cl-hyperobject
 Architecture: all
