=== debian/watch ===
version=3
http://files.kpe.io/hyperobject/hyperobject-([\d\.]*)\.tar\.gz
